#!/bin/bash

gst-launch-1.0 v4l2src device=/dev/video$1 io-mode=5 ! video/x-bayer,width=640,height=480,framerate=60/1,format=bggr ! \
tiovxisp sensor-name=SENSOR_SONY_IMX219_RPI dcc-isp-file=/opt/imaging/imx219/dcc_viss_640x480.bin \
sink_0::dcc-2a-file=/opt/imaging/imx219/dcc_2a_640x480.bin sink_0::device=/dev/v4l-subdev$2 format-msb=7 \
sink_0::pool-size=8 src::pool-size=8 ! \
video/x-raw,format=NV12, width=640,height=480 ! queue ! mosaic.sink_0 \
v4l2src device=/dev/video$3 io-mode=5 ! video/x-bayer,width=640,height=480,framerate=60/1,format=bggr ! \
tiovxisp sensor-name=SENSOR_SONY_IMX219_RPI dcc-isp-file=/opt/imaging/imx219/dcc_viss_640x480.bin \
sink_0::dcc-2a-file=/opt/imaging/imx219/dcc_2a_640x480.bin sink_0::device=/dev/v4l-subdev$4 format-msb=7 \
sink_0::pool-size=8 src::pool-size=8 ! \
video/x-raw,format=NV12, width=640,height=480 ! queue ! mosaic.sink_1 \
v4l2src device=/dev/video$5 io-mode=5 ! video/x-bayer,width=640,height=480,framerate=60/1,format=bggr ! \
tiovxisp sensor-name=SENSOR_SONY_IMX219_RPI dcc-isp-file=/opt/imaging/imx219/dcc_viss_640x480.bin \
sink_0::dcc-2a-file=/opt/imaging/imx219/dcc_2a_640x480.bin sink_0::device=/dev/v4l-subdev$6 format-msb=7 \
sink_0::pool-size=8 src::pool-size=8 ! \
video/x-raw,format=NV12, width=640,height=480 ! queue ! mosaic.sink_2 \
v4l2src device=/dev/video$7 io-mode=5 ! video/x-bayer,width=640,height=480,framerate=60/1,format=bggr ! \
tiovxisp sensor-name=SENSOR_SONY_IMX219_RPI dcc-isp-file=/opt/imaging/imx219/dcc_viss_640x480.bin \
sink_0::dcc-2a-file=/opt/imaging/imx219/dcc_2a_640x480.bin sink_0::device=/dev/v4l-subdev$8 format-msb=7 \
sink_0::pool-size=8 src::pool-size=8 ! \
video/x-raw,format=NV12, width=640,height=480,framerate=60/1 ! queue ! mosaic.sink_3 \
tiovxmosaic name=mosaic \
sink_0::startx="<0>" sink_0::starty="<0>" sink_0::widths="<640>" sink_0::heights="<480>" \
sink_1::startx="<0>" sink_1::starty="<480>" sink_1::widths="<640>" sink_1::heights="<480>" \
sink_2::startx="<640>" sink_2::starty="<0>" sink_2::widths="<640>" sink_2::heights="<480>" \
sink_3::startx="<640>" sink_3::starty="<480>" sink_3::widths="<640>" sink_3::heights="<480>" ! \
kmssink driver-name=tidss sync=false
